Bug 245659 - www/py-django-tinymce: Update to 3.0.1
Summary: www/py-django-tinymce: Update to 3.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/aljosa/django-tiny...
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-16 07:36 UTC by Kai Knoblich
Modified: 2020-04-19 10:07 UTC (History)
1 user (show)

See Also:
skozlov: maintainer-feedback+


Attachments
py-django-tinymce-3.0.1.patch (1.27 KB, patch)
2020-04-16 07:36 UTC, Kai Knoblich
skozlov: maintainer-approval+
skozlov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-16 07:36:06 UTC
Created attachment 213455 [details]
py-django-tinymce-3.0.1.patch

Hi,

attached is the patch that updates www/py-django-tinymce to 3.0.1 and assigns it to Django 2.2 (current LTS release) because Django 1.11 is End-of-Life since April 2020.

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 Serhii (Sergey) Kozlov freebsd_committer 2020-04-17 12:28:53 UTC
Hello Kai,

Thanks for the patch. Three questions:
- is '>=1.11' in the django dependency string still required?
- do you want to be a maintainer?
- do you have a commit bit for ports or do you want me to commit it?

Thanks,
Sergey
Comment 2 Kai Knoblich freebsd_committer 2020-04-17 16:08:23 UTC
(In reply to Serhii (Sergey) Kozlov from comment #1)

Hi Sergey,

> - is '>=1.11' in the django dependency string still required?

Technically it's not required as Django isn't listed as a dependency in setup.py and relevant files.

It's only noted as a Trove classifier via "Framework :: Django" hence it should be set to '>0' to give the hint that Django is required to make use of the port, IMHO.

I've to admit that the handling of the dependencies of the whole www/py-django-* ports is still somewhat unclear.

Many ports explicitly require a Django version (via "*_depends), a few ones gives only some hints via the Trove classifiers (like www/py-django-tinymce) and some have no info at all.

There's work in progress (see review D12592) to make the handling of Django ports easier in the future.

> - do you want to be a maintainer?

Thank you for the offer, I don't insist on it but if you would like to assign the maintainership to me, it's ok.

> - do you have a commit bit for ports or do you want me to commit it?

Yes, feel free to assign this bug to me and I'll commit it in the next days.
Comment 3 Serhii (Sergey) Kozlov freebsd_committer 2020-04-18 12:03:24 UTC
(In reply to Kai Knoblich from comment #2)

Hello Kai,

Ok, so the patch looks fine then. Please re-assign the maintainership to yourself, I'm not using this port anymore. Thanks for all the work.

Sergey
Comment 4 commit-hook freebsd_committer 2020-04-19 10:00:53 UTC
A commit references this bug:

Author: kai
Date: Sun Apr 19 10:00:48 UTC 2020
New revision: 532096
URL: https://svnweb.freebsd.org/changeset/ports/532096

Log:
  www/py-django-tinymce: Update to 3.0.1

  * Also assign the port to Django 2.2 because Django 1.11 is End-of-Life
    since April.

  * Although Django 2.2 requires at least Python 3.5 to work the support for
    that version was dropped with the 3.0.1 release.  Hence set the Python
    version to 3.6.

  * Make USES block separate from non-relevant variables.

  * Take maintainership.

  Changelog:

  https://github.com/aljosa/django-tinymce/blob/3.0.1/CHANGELOG.rst

  PR:		245659
  Approved by:	skozlov (maintainer)

Changes:
  head/www/py-django-tinymce/Makefile
  head/www/py-django-tinymce/distinfo
Comment 5 Kai Knoblich freebsd_committer 2020-04-19 10:07:31 UTC
(In reply to Serhii (Sergey) Kozlov from comment #3)

Hi Sergey,

committed, thank you for your feedback and offer to transfer the maintainership of the port!